Skip to content
vocapable.Docs

The all-party state list, processors and notice

GET
/v1/workspace/recording-consent
curl --request GET \
--url https://api.vocapable.com/v1/workspace/recording-consent \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
WorkspaceRecordingConsentFacts

The versioned all-party state list, the processors, and the notice version.

object
states_version
required
States Version
string
states
required
States
Array<object>
WorkspaceAllPartyState
object
code
required
Code
string
name
required
Name
string
citation
required
Citation
string
note
required
Note
string
processors
required
Processors
Array<object>
WorkspaceProcessorCategory

A category of processor that touches call audio (E6-R10, Apple 5.1.2(i)).

object
category
required
Category
string
Allowed values: carrier storage speech_to_text language_model
description
required
Description
string
notice_version
required
Notice Version
string
area_code_rule
required
Area Code Rule
string
Example
{
"processors": [
{
"category": "carrier"
}
]
}